[SRU] 2.27.6

Bug #1703798 reported by Michael Vogt on 2017-07-12
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
snapd (Ubuntu)
Status tracked in Artful
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Zesty
Undecided
Unassigned
Artful
Undecided
Unassigned

Bug Description

This is a new version of snapd.

The changelog for 2.27.5 is available here https://github.com/snapcore/snapd/blob/2.27.5/packaging/ubuntu-16.04/changelog, the raw git changelog is available here: https://github.com/snapcore/snapd/commits/2.27.5 (note that the debian changelog is auto-generated from the merges of the git commits so there is usually no need to look at the raw git commits).

The snappy team released a new 2.27.5 release that we want SRU into xenial. The new process described in https://wiki.ubuntu.com/SnapdUpdates was used and we have done integration-tests on the snappy images, autopkgtests on classic and unit tests.

Michael Vogt (mvo) on 2017-08-10
description: updated
Michael Vogt (mvo) on 2017-08-14
summary: - [SRU] 2.27
+ [SRU] 2.27.1
description: updated
Michael Vogt (mvo) on 2017-08-16
summary: - [SRU] 2.27.1
+ [SRU] 2.27.2
description: updated

Hello Michael, or anyone else affected,

Accepted snapd into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.27.2+17.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapd (Ubuntu Zesty):
status: New → Fix Committed
tags: added: verification-needed verification-needed-zesty
Changed in snapd (Ubuntu Artful):
status: New → Fix Committed
Changed in snapd (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.27.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapd (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed-trusty
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.27.2~14.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Download full text (14.6 KiB)

This bug was fixed in the package snapd - 2.27.2+17.10

---------------
snapd (2.27.2+17.10) artful; urgency=medium

  * New upstream release, LP: #1703798:
    - tests: remove TestInterfacesHelp as it breaks when go-flags
      changes
    - interfaces: don't crash if content slot has no attributes
    - debian: do not build with -buildmode=pie on i386
    - interfaces: backport broadcom-asic-control interface
    - interfaces: allow /usr/bin/xdg-open in unity7
    - store: do not resume a download when we already have the whole
      thing

snapd (2.27.1) xenial; urgency=medium

  * New upstream release, LP: #1703798:
    - tests: use dnf --refresh install to avert stale cache
    - tests: fix test failure on 14.04 due to old version of
      flock
    - updates for unity7/x11, browser-support, network-control,
      mount-observe
    - interfaces/unity7,x11: update for NETLINK_KOBJECT_UEVENT
    - interfaces/browser-support: update sysfs reads for
      newer browser versions
    - interfaces/network-control: rw for ieee80211 advanced wireless
    - interfaces/mount-observe: allow read on sysfs entries for block
      devices

snapd (2.27) xenial; urgency=medium

  * New upstream release, LP: #1703798
    - fix build failure on 32bit fedora
    - interfaces: add password-manager-service implicit classic interface
    - interfaces/greengrass-support: adjust accesses now that have working
      snap
    - interfaces/many, cmd/snap-confine: miscellaneous policy updates
    - interfaces/unity7: allow receiving media key events in (at least)
      gnome-shell
    - cmd: fix re-exec bug when starting from snapd 2.21
    - tests: restore interfaces-account-control properly
    - cmd: fix tests that assume /snap mount
    - cmd: mark arch as non-reexecing distro
    - snap-confine: don't share /etc/nsswitch from host
    - store: talk to api.snapcraft.io for purchases
    - hooks: support for install and remove hooks
    - packaging: fix Fedora support
    - tests: add bluetooth-control interface test
    - store: talk to api.snapcraft.io for assertions
    - tests: remove snapd before building from branch
    - tests: add avahi-observe interface test
    - store: orders API now checks if customer is ready
    - cmd/snap: snap find only searches stable
    - interfaces: updates default, mir, optical-observe, system-observe,
      screen-inhibit-control and unity7
    - tests: speedup prepare statement part 1
    - store: do not send empty refresh requests
    - asserts: fix error handling in snap-developer consistency check
    - systemd: add explicit sync to snapd.core-fixup.sh
    - snapd: generate snap cookies on startup
    - cmd,client,daemon: expose "force devmode" in sysinfo
    - many: introduce and use strutil.ListContains and also
      strutil.SortedListContains
    - assserts,overlord/assertstate: test we don't accept chains of
      assertions founded on a self-signed key coming externally
    - interfaces: enable access to bridge settings
    - interfaces: fix copy-pasted iio vs io in io-ports-control
    - cmd/snap-confine: various small fixes and tweaks to seccomp
      support code
    - interfaces: bring back seccomp argument fil...

Changed in snapd (Ubuntu Artful):
status: Fix Committed → Fix Released
Stéphane Graber (stgraber) wrote :
Download full text (4.8 KiB)

snapd 2.27 comes with "Nice=-5" in its systemd unit.

This prevents snapd from starting in LXD containers as was reported previously upstream here:
 https://bugs.launchpad.net/snapd/+bug/1709536

Releasing this SRU would break snapd in every LXD container and also cause boot issues.
I'm therefore marking this SRU as failed for all releases.

root@xenial:~# apt dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  libmspack0 logrotate pollinate python3-update-manager snapd ubuntu-core-launcher update-manager-core
7 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 10.8 MB of archives.
After this operation, 8461 kB of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 ubuntu-core-launcher amd64 2.27.2 [1562 B]
Get:2 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 snapd amd64 2.27.2 [10.7 MB]
Get:3 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 logrotate amd64 3.8.7-2ubuntu2.16.04.2 [37.7 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 python3-update-manager all 1:16.04.9 [31.9 kB]
Get:5 http://us.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 update-manager-core all 1:16.04.9 [5330 B]
Get:6 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libmspack0 amd64 0.5-1ubuntu0.16.04.1 [37.0 kB]
Get:7 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 pollinate all 4.25-0ubuntu1~16.04.1 [11.6 kB]
Fetched 10.8 MB in 1s (5537 kB/s)
(Reading database ... 25507 files and directories currently installed.)
Preparing to unpack .../ubuntu-core-launcher_2.27.2_amd64.deb ...
Unpacking ubuntu-core-launcher (2.27.2) over (2.25) ...
Preparing to unpack .../snapd_2.27.2_amd64.deb ...
Warning: Stopping snapd.service, but it can still be activated by:
  snapd.socket
Unpacking snapd (2.27.2) over (2.25) ...
Preparing to unpack .../logrotate_3.8.7-2ubuntu2.16.04.2_amd64.deb ...
Unpacking logrotate (3.8.7-2ubuntu2.16.04.2) over (3.8.7-2ubuntu2.16.04.1) ...
Preparing to unpack .../python3-update-manager_1%3a16.04.9_all.deb ...
Unpacking python3-update-manager (1:16.04.9) over (1:16.04.8) ...
Preparing to unpack .../update-manager-core_1%3a16.04.9_all.deb ...
Unpacking update-manager-core (1:16.04.9) over (1:16.04.8) ...
Preparing to unpack .../libmspack0_0.5-1ubuntu0.16.04.1_amd64.deb ...
Unpacking libmspack0:amd64 (0.5-1ubuntu0.16.04.1) over (0.5-1) ...
Preparing to unpack .../pollinate_4.25-0ubuntu1~16.04.1_all.deb ...
Unpacking pollinate (4.25-0ubuntu1~16.04.1) over (4.23-0ubuntu1~16.04.1) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for libc-bin (2.23-0ubuntu9) ...
Processing triggers for ureadahead (0.100.0-19) ...
Setting up snapd (2.27.2) ...
Installing new version of config file /etc/apparmor.d/usr.lib.snapd.snap-confine.real ...
Job for snapd.service failed because the control process exited with error code. See "systemctl status snapd.service" and "journalctl -xe" for details.
snapd.service couldn't start.
Setting up ubunt...

Read more...

Stéphane Graber (stgraber) wrote :

The right fix for this issue is through systemd, but until that is fixed and SRUed everywhere snapd is used, I don't think we should be using a negative Nice for its unit.

tags: added: verification-failed verification-failed-xenial verification-failed-zesty
removed: verification-needed verification-needed-xenial verification-needed-zesty
Stéphane Graber (stgraber) wrote :

trusty isn't affected by this as we don't support running snapd on trusty inside LXD containers. I also don't think it would be affected anyway as it's using upstart as the main init system.

Oliver Grawert (ogra) wrote :

echoing my comment from the other bug:

this is in snapd since may https://github.com/snapcore/snapd/pull/3270 why did this break all of a sudden ?

Michael Vogt (mvo) wrote :

This was added in 2.26 already. Oh well.

Michael Vogt (mvo) on 2017-08-18
summary: - [SRU] 2.27.2
+ [SRU] 2.27.3

Hello Michael, or anyone else affected,

Accepted snapd into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.27.3+17.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-zesty
removed: verification-failed verification-failed-zesty
tags: added: verification-needed-xenial
removed: verification-failed-xenial
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.27.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.27.3~14.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Michael Vogt (mvo) on 2017-08-22
description: updated
tags: added: verification-done verification-done-trusty verification-done-xenial verification-done-zesty
removed: verification-needed verification-needed-trusty verification-needed-xenial verification-needed-zesty
Michael Vogt (mvo) on 2017-08-24
summary: - [SRU] 2.27.3
+ [SRU] 2.27.4
description: updated
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.27.4+17.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-zesty
removed: verification-done verification-done-zesty
tags: added: verification-needed-xenial
removed: verification-done-xenial
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.27.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed-trusty
removed: verification-done-trusty
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.27.4~14.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-done verification-done-trusty verification-done-xenial verification-done-zesty
removed: verification-needed verification-needed-trusty verification-needed-xenial verification-needed-zesty
Michael Vogt (mvo) on 2017-08-30
summary: - [SRU] 2.27.4
+ [SRU] 2.27.5
description: updated
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.27.5+17.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-zesty
removed: verification-done verification-done-zesty
Michael Vogt (mvo) on 2017-08-31
tags: added: verification-failed-trusty verification-failed-xenial
removed: verification-done-trusty verification-done-xenial
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.27.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed-xenial
removed: verification-failed-xenial
tags: added: verification-needed-trusty
removed: verification-failed-trusty
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.27.5~14.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-done verification-done-trusty verification-done-xenial verification-done-zesty
removed: verification-needed verification-needed-trusty verification-needed-xenial verification-needed-zesty
Launchpad Janitor (janitor) wrote :
Download full text (15.3 KiB)

This bug was fixed in the package snapd - 2.27.5+17.04

---------------
snapd (2.27.5+17.04) zesty; urgency=medium

  * New upstream release, LP: #1703798:
    - interfaces: fix network-manager plug regression
    - hooks: do not error when hook handler is not registered
    - interfaces/alsa,pulseaudio: allow read on udev data for sound
    - interfaces/optical-drive: read access to udev data for /dev/scd*
    - interfaces/browser-support: read on /proc/vmstat and misc udev
      data

snapd (2.27.4) xenial; urgency=medium

  * New upstream release, LP: #1703798:
    - snap-seccomp: add secondary arch for unrestricted snaps as well

snapd (2.27.3) xenial; urgency=medium

  * New upstream release, LP: #1703798:
    - systemd: disable `Nice=-5` to fix error when running inside lxdSee
      https://bugs.launchpad.net/snapd/+bug/1709536

snapd (2.27.2) xenial; urgency=medium

  * New upstream release, LP: #1703798:
    - tests: remove TestInterfacesHelp as it breaks when go-flags
      changes
    - interfaces: don't crash if content slot has no attributes
    - debian: do not build with -buildmode=pie on i386
    - interfaces: backport broadcom-asic-control interface
    - interfaces: allow /usr/bin/xdg-open in unity7
    - store: do not resume a download when we already have the whole
      thing

snapd (2.27.1) xenial; urgency=medium

  * New upstream release, LP: #1703798:
    - tests: use dnf --refresh install to avert stale cache
    - tests: fix test failure on 14.04 due to old version of
      flock
    - updates for unity7/x11, browser-support, network-control,
      mount-observe
    - interfaces/unity7,x11: update for NETLINK_KOBJECT_UEVENT
    - interfaces/browser-support: update sysfs reads for
      newer browser versions
    - interfaces/network-control: rw for ieee80211 advanced wireless
    - interfaces/mount-observe: allow read on sysfs entries for block
      devices

snapd (2.27) xenial; urgency=medium

  * New upstream release, LP: #1703798
    - fix build failure on 32bit fedora
    - interfaces: add password-manager-service implicit classic interface
    - interfaces/greengrass-support: adjust accesses now that have working
      snap
    - interfaces/many, cmd/snap-confine: miscellaneous policy updates
    - interfaces/unity7: allow receiving media key events in (at least)
      gnome-shell
    - cmd: fix re-exec bug when starting from snapd 2.21
    - tests: restore interfaces-account-control properly
    - cmd: fix tests that assume /snap mount
    - cmd: mark arch as non-reexecing distro
    - snap-confine: don't share /etc/nsswitch from host
    - store: talk to api.snapcraft.io for purchases
    - hooks: support for install and remove hooks
    - packaging: fix Fedora support
    - tests: add bluetooth-control interface test
    - store: talk to api.snapcraft.io for assertions
    - tests: remove snapd before building from branch
    - tests: add avahi-observe interface test
    - store: orders API now checks if customer is ready
    - cmd/snap: snap find only searches stable
    - interfaces: updates default, mir, optical-observe, system-observe,
      screen-inhibit-control and unity7
    - tests: speedup prepare s...

Changed in snapd (Ubuntu Zesty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for snapd has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Download full text (15.3 KiB)

This bug was fixed in the package snapd - 2.27.5

---------------
snapd (2.27.5) xenial; urgency=medium

  * New upstream release, LP: #1703798:
    - interfaces: fix network-manager plug regression
    - hooks: do not error when hook handler is not registered
    - interfaces/alsa,pulseaudio: allow read on udev data for sound
    - interfaces/optical-drive: read access to udev data for /dev/scd*
    - interfaces/browser-support: read on /proc/vmstat and misc udev
      data

snapd (2.27.4) xenial; urgency=medium

  * New upstream release, LP: #1703798:
    - snap-seccomp: add secondary arch for unrestricted snaps as well

snapd (2.27.3) xenial; urgency=medium

  * New upstream release, LP: #1703798:
    - systemd: disable `Nice=-5` to fix error when running inside lxdSee
      https://bugs.launchpad.net/snapd/+bug/1709536

snapd (2.27.2) xenial; urgency=medium

  * New upstream release, LP: #1703798:
    - tests: remove TestInterfacesHelp as it breaks when go-flags
      changes
    - interfaces: don't crash if content slot has no attributes
    - debian: do not build with -buildmode=pie on i386
    - interfaces: backport broadcom-asic-control interface
    - interfaces: allow /usr/bin/xdg-open in unity7
    - store: do not resume a download when we already have the whole
      thing

snapd (2.27.1) xenial; urgency=medium

  * New upstream release, LP: #1703798:
    - tests: use dnf --refresh install to avert stale cache
    - tests: fix test failure on 14.04 due to old version of
      flock
    - updates for unity7/x11, browser-support, network-control,
      mount-observe
    - interfaces/unity7,x11: update for NETLINK_KOBJECT_UEVENT
    - interfaces/browser-support: update sysfs reads for
      newer browser versions
    - interfaces/network-control: rw for ieee80211 advanced wireless
    - interfaces/mount-observe: allow read on sysfs entries for block
      devices

snapd (2.27) xenial; urgency=medium

  * New upstream release, LP: #1703798
    - fix build failure on 32bit fedora
    - interfaces: add password-manager-service implicit classic interface
    - interfaces/greengrass-support: adjust accesses now that have working
      snap
    - interfaces/many, cmd/snap-confine: miscellaneous policy updates
    - interfaces/unity7: allow receiving media key events in (at least)
      gnome-shell
    - cmd: fix re-exec bug when starting from snapd 2.21
    - tests: restore interfaces-account-control properly
    - cmd: fix tests that assume /snap mount
    - cmd: mark arch as non-reexecing distro
    - snap-confine: don't share /etc/nsswitch from host
    - store: talk to api.snapcraft.io for purchases
    - hooks: support for install and remove hooks
    - packaging: fix Fedora support
    - tests: add bluetooth-control interface test
    - store: talk to api.snapcraft.io for assertions
    - tests: remove snapd before building from branch
    - tests: add avahi-observe interface test
    - store: orders API now checks if customer is ready
    - cmd/snap: snap find only searches stable
    - interfaces: updates default, mir, optical-observe, system-observe,
      screen-inhibit-control and unity7
    - tests: speedup prepare statement pa...

Changed in snapd (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (15.4 KiB)

This bug was fixed in the package snapd - 2.27.5~14.04

---------------
snapd (2.27.5~14.04) trusty; urgency=medium

  * New upstream release, LP: #1703798:
    - interfaces: fix network-manager plug regression
    - hooks: do not error when hook handler is not registered
    - interfaces/alsa,pulseaudio: allow read on udev data for sound
    - interfaces/optical-drive: read access to udev data for /dev/scd*
    - interfaces/browser-support: read on /proc/vmstat and misc udev
      data

snapd (2.27.4~14.04) trusty; urgency=medium

  * New upstream release, LP: #1703798:
    - snap-seccomp: add secondary arch for unrestricted snaps as well

snapd (2.27.3~14.04) trusty; urgency=medium

  * New upstream release, LP: #1703798:
    - systemd: disable `Nice=-5` to fix error when running inside lxdSee
      https://bugs.launchpad.net/snapd/+bug/1709536

snapd (2.27.2~14.04) trusty; urgency=medium

  * New upstream release, LP: #1703798:
    - tests: remove TestInterfacesHelp as it breaks when go-flags
      changes
    - interfaces: don't crash if content slot has no attributes
    - debian: do not build with -buildmode=pie on i386
    - interfaces: backport broadcom-asic-control interface
    - interfaces: allow /usr/bin/xdg-open in unity7
    - store: do not resume a download when we already have the whole
      thing

snapd (2.27.1~14.04) trusty; urgency=medium

  * New upstream release, LP: #1703798:
    - tests: use dnf --refresh install to avert stale cache
    - tests: fix test failure on 14.04 due to old version of
      flock
    - updates for unity7/x11, browser-support, network-control,
      mount-observe
    - interfaces/unity7,x11: update for NETLINK_KOBJECT_UEVENT
    - interfaces/browser-support: update sysfs reads for
      newer browser versions
    - interfaces/network-control: rw for ieee80211 advanced wireless
    - interfaces/mount-observe: allow read on sysfs entries for block
      devices

snapd (2.27~14.04) trusty; urgency=medium

  * New upstream release, LP: #1703798
    - fix build failure on 32bit fedora
    - interfaces: add password-manager-service implicit classic interface
    - interfaces/greengrass-support: adjust accesses now that have working
      snap
    - interfaces/many, cmd/snap-confine: miscellaneous policy updates
    - interfaces/unity7: allow receiving media key events in (at least)
      gnome-shell
    - cmd: fix re-exec bug when starting from snapd 2.21
    - tests: restore interfaces-account-control properly
    - cmd: fix tests that assume /snap mount
    - cmd: mark arch as non-reexecing distro
    - snap-confine: don't share /etc/nsswitch from host
    - store: talk to api.snapcraft.io for purchases
    - hooks: support for install and remove hooks
    - packaging: fix Fedora support
    - tests: add bluetooth-control interface test
    - store: talk to api.snapcraft.io for assertions
    - tests: remove snapd before building from branch
    - tests: add avahi-observe interface test
    - store: orders API now checks if customer is ready
    - cmd/snap: snap find only searches stable
    - interfaces: updates default, mir, optical-observe, system-observe,
      screen-inhibit-control and unity7...

Changed in snapd (Ubuntu Trusty):
status: Fix Committed → Fix Released

Hello Michael, or anyone else affected,

Accepted snapd into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.27.6+17.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapd (Ubuntu Xenial):
status: Fix Released → In Progress
Changed in snapd (Ubuntu Zesty):
status: Fix Released → In Progress
Changed in snapd (Ubuntu Trusty):
status: Fix Released → In Progress
Changed in snapd (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
tags: added: verification-needed-trusty verification-needed-xenial verification-needed-zesty
removed: verification-done-trusty verification-done-xenial verification-done-zesty
Changed in snapd (Ubuntu Xenial):
status: In Progress → Fix Committed
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.27.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapd (Ubuntu Trusty):
status: In Progress → Fix Committed
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.27.6~14.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of snapd from zesty-proposed was performed and bug 1717478 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed" tag from this bug report and add the tag "bot-stop-nagging" to bug 1717478 (not this bug). Thanks!

tags: added: verification-failed

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of snapd from xenial-proposed was performed and bug 1717654 was found. Please investigate that bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed" tag from this bug report and add the tag "bot-stop-nagging" to bug 1717654 (not this bug). Thanks!

Michael Vogt (mvo) on 2017-10-05
summary: - [SRU] 2.27.5
+ [SRU] 2.27.6
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers